Bug 47967 - Bad: Installer does not detect SCSI disk SDD with aic7xxx module
Bad: Installer does not detect SCSI disk SDD with aic7xxx module
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-09 05:05 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-09 05:05:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Windows NT 5.0; U)

Description of problem:
I have the following system: 

  Mainboard ASUS P2B-DS v.1.06 D03 with dual PIII 1GHZ@100MHz FSB installed (the on board SCSI card is used just to connect a SCSI 
scanner)
  Secondary Adaptec 2940 U2W card with all hard disks and SCSI CD ROM connected to it. 

  Disk drives: SDA : Quantum Atlas V 18 GB SDB : Fujitsu Magneto Optical 230 MB SDC : Quantum Atlas V
  18 GB SDD : Seagate Cheetah 73 GB 

  When I start the Linux installation and I want to partition my drives I don't see the SDD device !!! 

  Just SDA, SDB and SDC are shown, but there is no SDD, even if it's up and running !!! 

  I tried also the Linux Mandrake 8.0 distribution and it shown the same problem, but under the Suse 7.2
  distribution the disk SDD is correctly shown during install, so it's clearly a bug. 

  I have also other O.S. installed in that PC and they all see the Cheetah disk correctly !!! 

  Do you have any solution ??? I want to install my RH 7.1 on SDD and not the Suse 7.2 !!! 

  After a repartitioning of the SDC disk I installed my RH 7.1 on the SDC disk, but this is just a temporary
  solution since I want to installa it on the SDD disk. The strange thing however is that after the installation on
  an SDC disk partition I can correctly see the SDD disk with CFDISK, but the problem is that I can't see the
  SDD disk during the installation, so I can't installa my RH 7.1 on my desired partition on the SDD disk !!! 

  Do you have any solution to this bug ??? 

  Please, help me! 

  Thanks 

  Paolo from Italy 

How reproducible:
Always

Steps to Reproduce:
1.Simply insert the CD on a PC like mine and during the installation you'll see the bug!
2.
3.
	

Additional info:
Comment 1 Brent Fox 2001-07-10 11:45:24 EDT
This is a known problem.  If you look at
http://www.redhat.com/support/docs/gotchas/7.1/gotchas-71.html, I think you'll
see a section about this problem.  This looks like a kernel problem.
Comment 2 Need Real Name 2001-07-10 14:31:09 EDT
Sorry, but I think that if it was kernel problem it should be the same also after the installation of the 
O.S. in a different unit (SDC in my case), but after the installation the SDD drive is shown correctly 
by the O.S. The problem is present just under Anaconda during the installation of RH 7.1.

However I found a workaround: I installed the O.S. on a temporary root partition on SDC and 
then I moved that partition to SDD using Partition Magic 6.0 under Windows 2000. I also edited
the linux.conf file in order to add the new root partition and now I have the OS installed in
the root partition on SDD. Obviously after doing this I deleted the old root partition on SDD.
Everything is working fine now.

However the BUG under Anaconda still remains.

Paolo Basaglia (basaglia@inrete.it)
Comment 3 Bugzilla owner 2004-09-30 11:39:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.